Description

Nuovamente ciao a tultti,

utilizzando sempre la iso desktop-i386 aggiornata ad oggi,

al primo login di un utente locale, viene chiesto di scegliere tra queste 2 opzioni:
(1)- Utilizzare la configurazione predefinita

(2)- Utilizzare un pannello nuovo

Non so ancora come funziona per l'utente di rete.

Sarebbe possibile automatizzare la configurazione predefinita (1)?

Questo eviterebbe di mettere in difficolta chi sceglie I'opzione (2) con possibile difficolta a costruirsi un pannello personalizzato
(soprattutto per chi non ¢ scaltro col PC)

che ne pensate ??

grazie ancora
Andrea

History

#1 - 03/27/2017 04:11 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee set to Paolo Dongilli

Per risolvere questo, €' necessario fornire a xfce una configurazione di default da mettere in "'/etc/xdg/", bisogna solo capire quale e' questa
configurazione.. quale idea?

#2 - 03/27/2017 05:54 PM - Andrea Padovan

ciao a tutti,

direi di aspetterei qualche giorno per darti una risposta condivisa.
Grazie,

Andrea

#3 - 05/04/2017 03:59 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Andrea Padovan

Andrea, hai una proposta di come potrebbe essere presentato il desktop all'utente?
#4 - 06/08/2017 12:59 PM - Christopher R. Gabriel

- File Workspace 1_001.png added

- File xfce4.tar.gz added

Aggiungo un elenco di cose discusse in aula oggi che sono condivise:

e Disabilitare il cambio di workspace eseguito con la rotella del mouse, in Settings->Window manager tweaks
e Ridurre a 1 il numero di workspace e rimuovere il widget per il cambio di workspace
e xfwm4-> mousewheel_rollup a false
¢ Impostazioni di pannello e lanciatore come da screenshot e configurazione allegata, che e' proposta iniziale.

#5 - 06/08/2017 02:35 PM - Christopher R. Gabriel
- File xfce4-2.tar.gz added
- File Workspace 1_002.png added

Nuove versioni allegate.

#6 - 06/09/2017 06:47 PM - Christopher R. Gabriel
- Status changed from Commenti to In elaborazione

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

Avuto conferma da Paolo Dongilli, procedo alla integrazione in fuss-desktop.

#7 - 06/12/2017 03:36 AM - Paolo Dongilli
- File Workspace 1_003.png added
- File xfce4-3.tar.gz added

Ho fatto ulteriore pulizia nei pannelli:

e sostituito xfce-menu con whisker-menu in quanto maggiormente funzionale; oltre agli applicativi suddivisi in categorie, incorpora anche un finder
e action buttons, tra cui il lock-screen.

levato "Action Buttons" dal pannello in quanto superfluo

tolto item "Clock" dal pannello in quanto I'orario € gia disponibile nell'item "DateTime"

aggiunto "Battery Monitor"

configurata icona anziché testo in "Keyboard Layouts"

aggiunti keybinding per terminale e per creazione screenshot con "xfce4-screenshooter" (schermo, finestra, regione)

altre piccole modifiche estetiche

#8 - 06/12/2017 09:09 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

e Battery monitor: nelle scuole serve?
¢ Riguardo bandiera vs testo per la selezione mappa tastiera: dopo ampia discussione, si era arrivati a decidere per il testo.

#9 - 06/12/2017 10:16 AM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

e Battery monitor: nelle scuole serve?
Per i portatili. Provo a vedere se nelle impostazioni si pud rendere invisibile nel caso in cui non venga rilevata una batteria.

e Riguardo bandiera vs testo per la selezione mappa tastiera: dopo ampia discussione, si era arrivati a decidere per il testo.

Immaginavo, scusate. Dovevo capirlo in quanto il default era la bandiera. Purtroppo non ho un client qui al momento. Riesci a ripristinarlo o faccio io
questa sera?

#10 - 06/12/2017 10:19 AM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Paolo Dongilli ha scritto:
Christopher R. Gabriel ha scritto:

e Battery monitor: nelle scuole serve?

Per i portatili. Provo a vedere se nelle impostazioni si pud rendere invisibile nel caso in cui non venga rilevata una batteria.

Giusto. Se c'e' questa opzione meglio.

¢ Riguardo bandiera vs testo per la selezione mappa tastiera: dopo ampia discussione, si era arrivati a decidere per il testo.

Immaginavo, scusate. Dovevo capirlo in quanto il default era la bandiera. Purtroppo non ho un client qui al momento. Riesci a ripristinarlo o
faccio io questa sera?

Ci penso io, tanto non posso usare la configurazione allegata in ogni caso, purtroppo (xfce non copia i lanciatori da /etc/xdg)
#11 - 06/12/2017 01:42 PM - Christopher R. Gabriel
- Status changed from Commenti to In elaborazione

- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

#12 - 06/12/2017 02:47 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Pubblicato fuss-desktop 8.0.37 con le personalizzazioni allegate.

Sul server, se non €' presente il fuss-office, i launcher relativi ovviamente non funzionano.

#13 - 06/12/2017 06:02 PM - Paolo Dongilli
- File Bildschirmfoto - 12.06.2017 - 18_01_06.png added
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Propongo alcuni piccoli ritocchi (perché anche l'occhio vuole la sua parte):

invertire le icone "File Manager" e "Show Desktop"
nelle proprieta di "layout tastiera" ridurre a "small" la dimensione del testo
la tastiera di default dev'essere "it"
togliere item "Action Buttons" (che riporta il nome utente) in quanto le funzionalita ivi presenti sono gia fornite dal whisker menu.
togliere il handle (maniglia) al panel item "lista applicazioni aperte" (in impostazioni)
togliere la cornice della "notification area" (in impostazioni)
togliere il secondo separatore lasciando solo quello dopo il whisker menu alleggerendolo con il tratteggio in impostazioni (v. screenshot)
in Settings --> Keyboard --> Application Shortcuts aggiungere i seguenti shortcut:
in whisker menu aggiungere nella categoria Favorites gli stessi applicativi del pannello togliendo "Mail Reader"
o xfce4-terminal --> Ctrl-Alt-T
o xfce4-screenshooter -f --> PrtScr
o xfce4-screenshooter -w --> Ctrl-PrtScr
o xfce4-screenshooter -r --> Shift-Ctrl-PrtScr

#14 - 06/14/2017 04:44 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Paolo Dongilli ha scritto:
Propongo alcuni piccoli ritocchi (perché anche l'occhio vuole la sua parte):

e invertire le icone "File Manager" e "Show Desktop"

Fatto

¢ nelle proprieta di "layout tastiera" ridurre a "small" la dimensione del testo
Fatto

la tastiera di default dev'essere "it"

Fatto

¢ togliere item "Action Buttons" (che riporta il nome utente) in quanto le funzionalita ivi presenti sono gia fornite dal whisker menu.
Fatto

¢ togliere il handle (maniglia) al panel item "lista applicazioni aperte" (in impostazioni)
Fatto

e togliere la cornice della "notification area" (in impostazioni)
Fatto

¢ togliere il secondo separatore lasciando solo quello dopo il whisker menu alleggerendolo con il tratteggio in impostazioni (v. screenshot)
Fatto

* in whisker menu aggiungere nella categoria Favorites gli stessi applicativi del pannello togliendo "Mail Reader"
Fatto

e in Settings --> Keyboard --> Application Shortcuts aggiungere i seguenti shortcut:
o xfce4-terminal --> Ctrl-Alt-T
o xfce4-screenshooter -f --> PrtScr
o xfce4-screenshooter -w --> Ctrl-PrtScr
o xfce4-screenshooter -r --> Shift-Ctrl-PrtScr

QUesto e' problematico: il pacchetto xfce4-keyboard-shortcuts offre gia' il file di configurazione che fa override del default, e non si puo' togliere
perche' €' una dipendenza dal desktop xfce. Ne' fuss-desktop puo' sovrascrivere il file con le personalizzazioni (policy). Non saprei come risolverlo.

per eventuali nuove aggiunte/modifiche, meglio aprire ticket specifici, altrimenti solo rileggere il tutto per capire cosa c'e' da fare diventa faticoso e
dispersivo.

E' pubblicato in fuss-desktop 8.0.38. Ovviamente per testare bisogna rimuovere ~/.config/xfce4 e riavviare la sessione, dopo aver fatto
I'aggiornamento, per vedere il desktop modificato.
#15 - 06/18/2017 03:37 AM - Paolo Dongilli

- Status changed from Commenti to Risolto

Testato con successo.

| shortcuts possiamo tralasciarli in quanto comprendo che bisognerebbe andare upstream. L'impostazione manuale puo essere lasciata come facile

esercizio durante i corsi FUSS.
Chiudo il ticket.
